/**
 * @date : 2020/01/09
 * @author: zhaobingfeng
 * @desc : 共用路由
 */

export default [
    {
        name: 'Nav',
        path: '/nav',
        component: resolve => require(['pages/Nav'], resolve)
    },
    // 登录跳转
    {
        name: 'loginSucc',
        path: '/loginSucc',
        component: resolve => require(['pages/LoginSucc'], resolve)
    },
    // 登录
    {
        name: 'Login',
        path: '/login',
        component: resolve => require(['pages/other/login/Login'], resolve)
    },
    // 用户绑定
    {
        name: 'BindUser',
        path: '/bindUser',
        component: resolve => require(['pages/other/bindUser/Index'], resolve),
        props: route => ({ ...route.query })
    },
    // 首页
    {
        name: 'Home',
        path: '/',
        component: resolve => require(['pages/other/home/Home'], resolve)
    },
    // 工作台
    {
        name: 'Desktop',
        path: '/desktop',
        component: resolve => require(['pages/other/desktop/Desktop'], resolve)
    },
    // 404
    {
        name: 'Error',
        path: '/error',
        component: resolve => require(['pages/other/error/Error'], resolve)
    },
    // code 模块 code 必传
    {
        name: 'Import',
        path: '/common/import/:code',
        query: {
            params: {}
        },
        component: resolve => require(['@/common/import/Import'], resolve)
    }
]
